Create License Endpoint Mapping

Create License Endpoint Mapping
API to create license-endpoint mapping

API to create license-endpoint mapping

Request
URI
POST
https://{api_host}/licensing/license-endpoint-mappings
COPY
Request Body

Mapping details

LicenseEndpointMapping of type(s) application/json
Required
[
    {
        "license_id": "3DEC4C99-E9B9-4B88-B991-591C9CB2A51F",
        "endpoint_id": "ffddc3d9-ecaa-470a-9155-69cbc2783d87"
    }
]
string
id
Read-Only

UUID of the mapping.

string
license_id
Optional

UUID of the license (by Avi Cloud Console).

string
endpoint_id
Optional

UUID of the endpoint.

Authentication
This operation uses the following authentication methods.
Responses
200

License Endpoint mapping is created successfully.

Returns LicenseEndpointMapping of type(s) application/json
[
    {
        "id": "abcd-1234-efgh-5678-ijkl",
        "license_id": "3DEC4C99-E9B9-4B88-B991-591C9CB2A51F",
        "endpoint_id": "ffddc3d9-ecaa-470a-9155-69cbc2783d87"
    }
]
string
id
Read-Only

UUID of the mapping.

string
license_id
Optional

UUID of the license (by Avi Cloud Console).

string
endpoint_id
Optional

UUID of the endpoint.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/licensing/license-endpoint-mappings